/*
 * Copyright 2012 htfv (Aliaksei Lahachou)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.github.htfv.maven.plugins.buildconfigurator.core;

import java.io.File;

/**
 * Exception occurring when file specified by
 * {@link com.github.htfv.maven.plugins.buildconfigurator.model.BCPropertyFile#getFile}
 * is missing.
 *
 * @author htfv (Aliaksei Lahachou)
 */
public class PropertyFileMissingException extends RuntimeException
{
    /** */
    private static final long serialVersionUID = 1L;

    /**
     * Constructs a new {@code PropertyFileMissingException} object.
     *
     * @param file
     *            the file which was not found.
     */
    public PropertyFileMissingException(final File file)
    {
        super("Property file '" + file.getPath() + "' is missing.");
    }
}
