/*
 * Copyright 2012 htfv (Aliaksei Lahachou)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.github.htfv.maven.plugins.buildconfigurator.core;

/**
 * Exception which is thrown if a required configuration element was not
 * specified.
 *
 * @author htfv (Aliaksei Lahachou)
 */
public class RequiredParameterNotSpecifiedException extends RuntimeException
{
    /** */
    private static final long serialVersionUID = 1L;

    /**
     * Constructs a new {@link RequiredParameterNotSpecifiedException} object.
     *
     * @param parameter
     *            name of parameter which is missing.
     */
    public RequiredParameterNotSpecifiedException(final String parameter)
    {
        super("Required parameter '" + parameter + "' was not specified.");
    }
}
