/*
 * Copyright 2012 htfv (Aliaksei Lahachou)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.github.htfv.maven.plugins.buildconfigurator.model;

/**
 * Contains parameters for configuring a project.
 *
 * @author htfv (Aliaksei Lahachou)
 */
public interface BCExtensionModel extends BCPluginModel
{
    /**
     * Gets the build information which shall be merged into the project.
     *
     * @return build information.
     */
    BCBuild getBuild();

    /**
     * Sets the build information which shall be merged into the project.
     *
     * @param build
     *            build information.
     */
    void setBuild(BCBuild build);
}
