package com.github.htfv.maven.plugins.buildconfigurator.model;

public interface BCPluginModel
{
    /**
     * Gets the array of dependencies which shall be merged into the project.
     *
     * @return array of dependencies.
     */
    BCDependency[] getDependencies();

    /**
     * Gets the Build Configurator parameters.
     *
     * @return Build Configurator parameters.
     */
    BCProperties getProperties();

    /**
     * Gets the array of property files whose properties shall be merged into
     * the project.
     *
     * @return array of property files.
     */
    BCPropertyFile[] getPropertyFiles();

    /**
     * Sets the array of dependencies which shall be merged into the project.
     *
     * @param dependencies
     *            array of dependencies.
     */
    void setDependencies(BCDependency[] dependencies);

    /**
     * Sets the Build Configurator parameters.
     *
     * @param properties
     *            Build Configurator parameters.
     */
    void setProperties(BCProperties properties);

    /**
     * Sets the array of property files whose properties shall be merged into
     * the project.
     *
     * @param propertyFiles
     *            array of property files.
     */
    void setPropertyFiles(BCPropertyFile[] propertyFiles);
}
